org.springframework.web.reactive.resource

## Class CachingResourceTransformer

- java.lang.Object
- - org.springframework.web.reactive.resource.CachingResourceTransformer

All Implemented Interfaces:
  ResourceTransformer

    public class CachingResourceTransformer
    extends Object
    implements ResourceTransformer

A `ResourceTransformer` that checks a `Cache` to see if a previously transformed resource exists in the cache and returns it if found, or otherwise delegates to the resolver chain and caches the result.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`CachingResourceTransformer(org.springframework.cache.Cache cache)`
`CachingResourceTransformer(org.springframework.cache.CacheManager cacheManager, String cacheName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.springframework.cache.Cache` `getCache()` Return the configured `Cache`.
`reactor.core.publisher.Mono<org.springframework.core.io.Resource>` `transform(org.springframework.web.server.ServerWebExchange exchange, org.springframework.core.io.Resource resource, ResourceTransformerChain transformerChain)` Transform the given resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachingResourceTransformer

    public CachingResourceTransformer(org.springframework.cache.Cache cache)

#### CachingResourceTransformer

    public CachingResourceTransformer(org.springframework.cache.CacheManager cacheManager,
                                      String cacheName)

### Method Detail

#### getCache

    public org.springframework.cache.Cache getCache()

Return the configured `Cache`.

#### transform

    public reactor.core.publisher.Mono<org.springframework.core.io.Resource> transform(org.springframework.web.server.ServerWebExchange exchange,
                                                                                       org.springframework.core.io.Resource resource,
                                                                                       ResourceTransformerChain transformerChain)

Description copied from interface: `ResourceTransformer`
Transform the given resource.

Specified by:
  `transform` in interface `ResourceTransformer`
Parameters:
  `exchange` - the current exchange
  `resource` - the resource to transform
  `transformerChain` - the chain of remaining transformers to delegate to
Returns:
  the transformed resource (never empty)